#ifndef PREFERENCES_DIALOG_H
#define PREFERENCES_DIALOG_H


#include <qdialog.h>

class QLineEdit;
class QListView;
class QSpinBox;
class QCheckBox;
class QComboBox;
class QVButtonGroup;

class preferences_dlg : public QDialog
{

	Q_OBJECT

public:
	preferences_dlg(QWidget *p = 0, const char *name = 0, bool modal = false);
	~preferences_dlg() {}

public slots:
	void update_settings();

protected slots:
	void openDirSelDlg();
	void removeSelectedShare();
	void addSharesDlg();
	void chooseFont();
	void disableProxyWidgets(bool yes);
	void disableSocksWidgets(bool yes);

private:
	// widgets that needs to be remembered
	QLineEdit *nameEdit;
	QLineEdit *descEdit;
	QLineEdit *addrEdit;
	QLineEdit *emailEdit;

	// Network tab
	QSpinBox *portSpin;
	QSpinBox *slotsSpin;
	QSpinBox *speedSpin;
	QSpinBox *dspeedSpin;
	QCheckBox *passive;
	QCheckBox *fileListCheck;
	//QCheckBox *fakedcppCheck;
	QVButtonGroup *desctagButtons;
	QCheckBox *abortleavedCheck;

	QLineEdit *dlEdit;
	QListView *shared;

	QComboBox *connectionCombo;

	QFont font;
	QLineEdit *fontEdit;
	QComboBox *encodingBox;

	QCheckBox *proxyCheck;
	QLineEdit *proxyAddr;
	QLineEdit *proxyPort;
	QCheckBox *proxyUseSocks;
	QLineEdit *proxyUsername;
	QLineEdit *proxyPassword;
};



#endif
