
#ifndef _USER_H_
#define _USER_H_

#include <qlistview.h>
#include "util.h"

class User : public QListViewItem
{

public:
     /*!
       Sets name to nick and calls QListViewItem with all parameters

       \param parent QLisstView this item shoulf be displayed in
       \param nick Nickname of the user
       \param share The filesize of the users shared files
       \param con The connection type os the user
	   \param enail The users email
       \param desc The users desription
	   \param a If the user is away
      */
     User( QListView* parent, QString nick, QString share="n/a", QString con="n/a", QString email="n/a",QString desc="n/a",bool a=false )
	  : QListViewItem( parent, nick, share, con, desc, email ), name(nick) , away(a)
	  { client = "Unknown"; }


	  /// Sets the cliet
	  void setClient(const QString& c) {client=c;}

     /*!
       Returns the users nick name
      */
     QString getName(){ return name; }

     /*!
       Checks if the user u has the same nick as this user

       \param u
      */
     bool operator==( User u ) { return u.getName()==name; }

     virtual int compare( QListViewItem * i, int col, bool ascending ) const
	  {
	       if(col == 1)
	       {
		    if( text(col)=="n/a" ) return -1;        // n/a items always less
		    if( i->text(col)=="n/a") return 1;
		    int aa = (int)units_to_bytes( text(col) );
		    int bb = (int)units_to_bytes( i->text(col) );
		    if( aa < bb ) return -1;
		    if( aa > bb) return 1;
		    return 0;

	       }
	       else return QListViewItem::compare(i,col,ascending);
	  }


private:
     /*!
       This users nick name
      */
     QString name;
	 /// What client the user is using
	 QString client;
	 /*!
	 	If the user is away
	*/
	bool away;
};

#endif

/*
 *
 * $Log: user.h,v $
 * Revision 1.3  2004/01/26 22:46:13  olof
 * kossa mu
 *
 * Revision 1.2  2004/01/09 22:02:54  olof
 * Fixed used description bug and added support for description tags.
 * There is still some work to be done though.
 *
 * Revision 1.1.1.1  2003/06/24 10:16:18  olof
 * remake of cvs tree
 *
 * Revision 1.3  2003/06/06 11:34:11  olof
 * mu
 *
 * Revision 1.2  2003/03/13 14:31:29  olof
 * userlist grejs
 *
 * Revision 1.1  2003/03/04 22:10:42  olof
 * dcqt2 creation
 *
 * Revision 1.3  2003/02/18 15:48:11  migr8915
 * Dont know what ive done
 *
 *
 */
